Create Return Order

View as Markdown
Creates a new return order for a previously shipped order. Specify the original shipment, inventory items to return, and requested return actions.

Authentication

AuthorizationBearer

Authentication using Personal Access Token (PAT) token or OAuth2

Headers

shipbob_channel_idstringRequiredformat: "int32"

Retrieve your channel ID from the GET /channel endpoint. Use the channel ID that has write scopes.

Request

The return order creation request containing return details, items, and configuration.
fulfillment_centerobjectRequired
A Facility to process Returns.
inventorylist of objectsRequired
Array of inventory items being returned
reference_idstringRequired1-50 characters

Client-defined external unique identifier for the return order. If tracking id is not provided, this value must appear on the box label as RMA. Example: ShipBob_Return_123

original_shipment_idinteger or nullOptional

Shipment from which the items in the return originated 123456

tracking_numberstring or nullOptional<=500 characters

Tracking number for the return shipment 1Z9999999999999999

Response

Created
channelobject or null
The details of a Channel
completed_datedatetime or null
The date and time for when the return order was completely processed
customer_namestring or null
Name of merchant that return belongs to
fulfillment_centerobject or null
The details of a Fulfillment Center
idinteger or null
Unique id of the return order
insert_datedatetime or null
The date and time for when the return order was created
inventorylist of objects or null
List of inventory items in return order
invoice_amountdouble or null
Amount merchant was invoiced for processing the return
original_shipment_idinteger or null
ShipmentId for which return was created
reference_idstring or null
Unique reference id of the return order. Created by merchant if a regular return.
return_typestring or null
Type of the return, i.e. Regular, RTS
statusstring or null
Status of the return order, i.e. AwaitingArrival
store_order_idstring or null
Reference to external order id
tracking_numberstring or null
The tracking number of the return shipping label
transactionslist of objects or null
List of transactions that make up the billable amount to invoice a merchant

Errors